## org.eclipse.emf.compare.diff.metamodel
Interface ComparisonSnapshot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ComparisonResourceSetSnapshot, ComparisonResourceSnapshot

All Known Implementing Classes:
  ComparisonResourceSetSnapshotImpl, ComparisonResourceSnapshotImpl

    public interface ComparisonSnapshot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Comparison Snapshot'. Superclass for classes allowing the serialization of comparison results.

The following features are supported:

- `Date`

See Also:
  `DiffPackage.getComparisonSnapshot()`

Method Summary
`java.util.Date` `getDate()` Returns the value of the 'Date' attribute
`void` `setDate(java.util.Date value)` Sets the value of the '`Date`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDate

    java.util.Date getDate()

  Returns the value of the 'Date' attribute.

  If the meaning of the 'Date' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Date' attribute.
  See Also:
    `setDate(Date)`, `DiffPackage.getComparisonSnapshot_Date()`

### setDate

    void setDate(java.util.Date value)

  Sets the value of the '`Date`' attribute.

  Parameters:
    `value` - the new value of the 'Date' attribute.
  See Also:
    `getDate()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.